kind: pipeline
type: docker
name: default

steps:
  - name: startnotification
    image: lddsb/drone-dingtalk-message
    settings:
      token: 66039657ac01b5e44720fbc01eaa107c351c32dc1da177efc766637a8fd96913
      type: markdown
      secret: SECb58ffd267c6598d027367070e4d6300db42f2b213a53392ee9a10adf3178b196
      tpl: ./drone/start.md
      tips_title: 湖州项管web开始构建
      success_pic: https://i.ibb.co/CB4HBLP/success-1.png
      failure_pic: https://i.ibb.co/wM2rbGS/fail-1.png
      msg_at_mobiles: 15106115982
  - name: build
    image: node:12.16.3
    commands:
      - npm install
      - npm run build
  - name: develop deploy
    image: appleboy/drone-scp
    settings:
      host:
        from_secret: host
      port:
        from_secret: port
      username:
        from_secret: username
      password:
        from_secret: password
      target: /server/huzhou/web
      source: ./dist
      rm: true
    when:
      branch:
        - master
  - name: endnotification
    image: lddsb/drone-dingtalk-message
    settings:
      token: 66039657ac01b5e44720fbc01eaa107c351c32dc1da177efc766637a8fd96913
      type: markdown
      secret: SECb58ffd267c6598d027367070e4d6300db42f2b213a53392ee9a10adf3178b196
      tpl: ./drone/end.md
      tips_title: 湖州项管web开始构建
      success_pic: https://i.ibb.co/CB4HBLP/success-1.png
      failure_pic: https://i.ibb.co/wM2rbGS/fail-1.png
      msg_at_mobiles: 15106115982
trigger:
  branch:
    - master


